MijnPartnerGroep Domain API
Home
MijnPartnerGroep.nl
Ondersteunde Partners
Ondersteunde Partners
  • MijnHostingPartner.nl
  • MijnDomeinPartner.nl
  • MijnWordPressPartner.nl
  • WebHoster.nl
Home
MijnPartnerGroep.nl
Ondersteunde Partners
Ondersteunde Partners
  • MijnHostingPartner.nl
  • MijnDomeinPartner.nl
  • MijnWordPressPartner.nl
  • WebHoster.nl
  1. DomainHolder
  • Home
  • Authentication
  • Getting started
  • Error handling
  • Authentication
    • Authenticate to the API
      POST
  • Whois
    • Check WHOIS for a single domain
      GET
    • Check WHOIS for multiple domains
      POST
  • Domain
    • Register a single domain
      POST
    • Register multiple domains
      POST
  • DomainHolder
    • Create a new DomainHolder
      PUT
    • Get a DomainHolder by ID or email address
      POST
    • Delete a DomainHolder
      DELETE
    • Update an existing DomainHolder
      PATCH
  • DNS
    • ListDomain
      GET
    • GetRecords
      GET
    • AddRecord
      PUT
    • UpdateRecord
      PATCH
    • DeleteRecord
      POST
  • Schemas
    • Schemas
      • DomainHolderSearch
      • Record
      • Domain
      • Zones
      • DomainHolder
      • BulkRegisterRequest
    • Response
      • AuthenticationSuccess
      • AuthorizationFailed
      • BadRequest
      • PaymentRequired
      • Unauthorized
      • NotFound
      • MethodNotAllowed
      • UnprocessableEntity
      • InternalServerError
  1. DomainHolder

Update an existing DomainHolder

PATCH
https://www.mijnhostingpartner.nl/v2/DomainHolder/{id}
Update details for an existing DomainHolder.
Request Body:
JSON object with fields to update.
Response:
HTTP 200 – update successful.
HTTP 400 – invalid data.
HTTP 404 – holder not found.
Use Case:
Correct or modify holder information.
Notes:
Only include fields that need to change.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
or
Path Params

Body Params application/json

Examples

Responses

🟢200OK
DomainHolder updated successfully
This response does not have a body.
🟠400Bad Request
🟠422Unprocessable Entity
🟠404Not Found
🟠401Unauthorized
🔴500Internal Server Error
🟠405Method Not Allowed
🟠403Forbidden
🟠402Payment Required
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH 'https://www.mijnhostingpartner.nl/v2/DomainHolder/' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "firstName": "Judson",
    "lastName": "Metz-Effertz",
    "email": "Lorena51@hotmail.com",
    "phone": "(288) 256-4626",
    "address": "357 Kings Highway",
    "city": "North Jodymouth",
    "postalCode": "80498-2255",
    "country": "Senegal"
}'
Response Response Example
400 - Bad Request
{
    "status": "error",
    "message": "Missing client_id or client_secret"
}
Modified at 2026-03-30 11:31:14
Previous
Delete a DomainHolder
Next
ListDomain
Built with